curl --request GET \
--url https://api.arize.com/v2/evaluators/{evaluator_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.arize.com/v2/evaluators/{evaluator_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.arize.com/v2/evaluators/{evaluator_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "RXZhbHVhdG9yOjEyOmFCY0Q=",
"name": "Hallucination Eval",
"description": "Detects hallucinated content in LLM responses",
"type": "TEMPLATE",
"space_id": "U3BhY2U6NDkzOkJaSkc=",
"created_at": "2026-02-16T22:05:47.900Z",
"updated_at": "2026-02-16T22:05:48.150Z",
"created_by_user_id": "VXNlcjoxOm5OYkM=",
"version": {
"id": "RXZhbHVhdG9yVmVyc2lvbjoxMDpYeVp3",
"evaluator_id": "RXZhbHVhdG9yOjEyOmFCY0Q=",
"commit_hash": "a3b1c9e4f7d2a0518e6c3bb9217f87d1c4e810f2",
"commit_message": "Initial version",
"type": "TEMPLATE",
"template_config": {
"name": "hallucination",
"template": "You are an evaluation assistant...",
"include_explanations": true,
"use_function_calling": true,
"classification_choices": {
"hallucinated": 0,
"factual": 1
},
"direction": "MAXIMIZE",
"data_granularity": "SPAN",
"llm_config": {
"ai_integration_id": "TGxtSW50ZWdyYXRpb246MTI6YUJjRA==",
"model_name": "gpt-4o",
"invocation_parameters": {
"temperature": 0
},
"provider_parameters": {}
}
},
"created_at": "2026-02-16T22:05:48.143Z",
"created_by_user_id": "VXNlcjoxOm5OYkM="
}
}{
"status": 400,
"title": "Invalid request parameters",
"detail": "The 'name' field is required and must be a non-empty string.",
"instance": "/resource",
"type": "https://arize.com/docs/ax/rest-reference/errors#invalid-request"
}{
"status": 401,
"title": "Authentication required",
"detail": "You must be authenticated to access this resource.",
"instance": "/resource",
"type": "https://arize.com/docs/ax/rest-reference/errors#authentication-required"
}{
"status": 404,
"title": "Resource not found",
"detail": "The requested resource with ID '12345' was not found.",
"instance": "/resource/12345",
"type": "https://arize.com/docs/ax/rest-reference/errors#resource-not-found"
}{
"status": 429,
"title": "Rate limit exceeded",
"detail": "You have exceeded the allowed number of requests. Please try again later.",
"instance": "/resource",
"type": "https://arize.com/docs/ax/rest-reference/errors#rate-limit-exceeded"
}Get evaluator
Returns an evaluator and a resolved version. By default, the latest version is included. Use the version_id query parameter to resolve a specific version.
Authorizations
Most Arize AI endpoints require authentication. For those endpoints that require authentication, include your API key in the request header using the format
Path Parameters
The unique evaluator identifier (base64) A universally unique identifier (base64-encoded opaque string).
"RW50aXR5OjEyMzQ1"
Query Parameters
Return the evaluator with this specific version (base64 identifier (base64)). If omitted, returns the latest version. A universally unique identifier (base64-encoded opaque string).
"RW50aXR5OjEyMzQ1"
Response
Returns an evaluator with a resolved version
An evaluator defines reusable evaluation logic that can be attached to evaluation tasks. The type field determines the kind of evaluation: TEMPLATE (LLM-based template evaluation), CODE (custom code evaluation), or REMOTE (externally hosted evaluation).
The unique identifier for the evaluator
The name of the evaluator
The evaluator type:
TEMPLATE— LLM-based evaluator.CODE— managed built-in evaluators or custom Python code (both are subtypes ofCODE, discriminated by the nestedCodeConfig.type=MANAGED|CUSTOM).HARNESS— test harness evaluator.REMOTE— remote evaluator.
Applies to both the parent Evaluator.type field and every version's type
discriminator — a version's type must always match its parent evaluator's type.
TEMPLATE, CODE, HARNESS, REMOTE The unique identifier for the space the evaluator belongs to
When the evaluator was created
When the evaluator was last updated
The unique identifier for the user who created the evaluator
The resolved version of the evaluator
- Option 1
- Option 2
- Option 3
- Option 4
Show child attributes
Show child attributes
The description of the evaluator
Was this page helpful?